Package org.snpeff.overlap

# Class OverlapDnaSeq

java.lang.Object
org.snpeff.overlap.Overlap<DnaSequence>
org.snpeff.overlap.OverlapDnaSeq

public class OverlapDnaSeq extends Overlap<DnaSequence>

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`

## Constructor Summary

Constructors
Constructor
Description
`OverlapDnaSeq()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMinOverlap()`
`int`
`overlap(DnaSequence seq1, DnaSequence seq2)`
Calculate the best overlap between two sequences
`void`
`setMinOverlap(int minOverlap)`

### Methods inherited from class org.snpeff.overlap.Overlap

`getBestOffset, getBestScore`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### debug

public static boolean debug

## Constructor Details

### OverlapDnaSeq

public OverlapDnaSeq()

## Method Details

### getMinOverlap

public int getMinOverlap()

### overlap

public int overlap(DnaSequence seq1, DnaSequence seq2)
Description copied from class: `Overlap`
Calculate the best overlap between two sequences

Specified by:
  `overlap` in class `Overlap<DnaSequence>`
Parameters:
  `seq1` -
Returns:

### setMinOverlap

public void setMinOverlap(int minOverlap)